Bug 841272 - script name of service command is wrong
script name of service command is wrong
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: netatalk (Show other bugs)
el6
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 10:30 EDT by HAT
Modified: 2015-02-26 08:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description HAT 2012-07-18 10:30:18 EDT
Description of problem:

In netatalk.spec,

>%preun
>if [ "$1" = "0" ] ; then
>  # check for existence due to renaming initscritp
>  if [ -x  %{_initrddir}/netatalk ] ; then
>    /sbin/service atalk stop > /dev/null 2>&1
>    /sbin/chkconfig --del netatalk
>  fi
>fi
>
>%postun
>if [ "$1" -ge "1" ]; then
>  /sbin/service atalk condrestart > /dev/null 2>&1 || :
>fi
>/sbin/ldconfig

A script name is "netatalk", not "atalk".
There is no option "condrestart".

Version-Release number of selected component (if applicable):
netatalk-2.2.0-2.el6
Comment 1 HAT 2013-03-26 09:43:47 EDT
netatalk 3.0.3 supports condrestart option.

Note You need to log in before you can comment on or make changes to this bug.